getDateOrigin {openxlsx} | R Documentation

## Get the date origin an xlsx file is using

### Description

Return the date origin used internally by an xlsx or xlsm file

### Usage

    getDateOrigin(xlsxFile)

### Arguments

`xlsxFile` | An xlsx or xlsm file.

### Details

Excel stores dates as the number of days from either 1904-01-01 or 1900-01-01. This function checks the date origin being used in an Excel file and returns is so it can be used in `convertToDate`

### Value

One of "1900-01-01" or "1904-01-01".

### Author(s)

Alexander Walker

### See Also

`convertToDate`

### Examples

    ## create a file with some dates
    write.xlsx(as.Date("2015-01-10") - (0:4), file = "getDateOriginExample.xlsx")
    m <- read.xlsx("getDateOriginExample.xlsx")

    ## convert to dates
    do <- getDateOrigin(system.file("readTest.xlsx", package = "openxlsx"))
    convertToDate(m[[1]], do)

[Package openxlsx version 4.1.0 Index]